orage (4.10.0-2) experimental; urgency=medium

  * Rebuild against Xfce 4.12 libraries.
  * debian/control:
    - update standards version to 3.9.6.
  * debian/patches:
    - 01_support-filename-desktop added, update Exec line to support passing
    filenames, since we announce support for the calendar mimetype.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 14 Mar 2015 14:53:45 +0100

orage (4.10.0-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Jackson Doak ]
  * debian/rules: use autotools-dev
  * debian/control: 
    - Build-depend autotools-dev
    - Remove duplicate entry libdbus-1-dev
  * Creat debian/source/options


  [ Yves-Alexis Perez ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 09 Dec 2013 21:44:06 +0100

orage (4.8.4-2) unstable; urgency=low

  * Rebuild against xfce4-panel 4.10.                           closes: #709423
  * debian/control:
    - remove dpkg-dev build-dep, stable has hardening support.
    - remove version on xfce4-panel-dev build-dep, stable has Xfce 4.8.
    - drop chrpath build-dep.
    - drop xfce4-dev-tools and libtool build-dep, now useless.
  * debian/rules:
    - enable parallel build.
    - drop chrpath call.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 24 May 2013 08:27:01 +0200

orage (4.8.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches
    - 0001-4.8.3.1-Fixed-Bug-8525-Orage-keeps-notifying-every-s dropped,
      included upstream.
  * debian/rules:
    - enable 'all' hardening flags.
  * debian/control:
    - update standards version to 3.9.4.
    - update debhelper build-dep to 9.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 02 Feb 2013 10:27:49 +0100

orage (4.8.3-2) unstable; urgency=low

  * debian/patches:
    - 0001-4.8.3.1-Fixed-Bug-8525-Orage-keeps-notifying-every-s added, fix
      alarm notification every second.                          closes: #666420

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 21 Jul 2012 09:17:12 +0200

orage (4.8.3-1) unstable; urgency=low

  * New upstream release.
  * debian/watch updated for Xfce archive website.
  * debian/rules:
    - use debhelper 9 and dpkg-dev 1.16.1 hardening support.
    - use multiarch paths.
  * debian/compat bumped to 9.
  * debian/control:
    - debhelper build-dep bumped to 8.9.4 for hardening support.
    - dpkg-dev (>= 1.16.1) added for hardening support.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 05 Jan 2012 15:01:57 +0100

orage (4.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 13 Sep 2011 13:23:42 +0200

orage (4.8.1-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * Upload to unstable.
  * debian/control:
    - drop Emanuele, Simon and Michael from uploaders, thanks to them.
    - update standards version to 3.9.2. 

  [ Lionel Le Folgoc ]
  * debian/control: bump xfce4-panel-dev b-dep to (>= 4.8.0), to ensure it
    will be built against the correct version.                  Closes: #618844

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 17:04:52 +0200

orage (4.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 00:51:22 +0100

orage (4.8.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.9.1.
    - add build-dep on libical-dev and libpopt-dev.
    - add build-dep on xfce4-dev-tools and libtool.
    - add build-dep on hardening-includes.
  * debian/watch updated to track upstream repository reorganization.
  * debian/rules:
    - update configure flags.
    - drop useless call to dh_desktop.
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -O1, -z,defs and --as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS.
    - drop cdbs for dh with overrides.
  * debian/patches
    - 01-dont-duplicate dropped.
  * debian/copyright updated to include complete text of BSD license.
  * Switch to 3.0 (quilt) source format.
  * debian/copyright updated.

  [ Lionel Le Folgoc ]
  * debian/control: add myself to Uploaders.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 07 Feb 2011 00:56:53 +0100

orage (4.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 19 Apr 2009 19:08:00 +0200

orage (4.6.0-2) unstable; urgency=low

  * Upload to unstable, mark fixed bugs as such:
    - orage now appears in xfce4-settings.                      closes: #493638
  * debian/patches:
    - 01-dont-duplicate added, don't import duplicate events.   closes: #517548
  * debian/control:
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - update build-dep on debhelper to 7.
    - update standards version to 3.8.1.
    - move to xfce section.
  * debian/compat bumped to 7.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Apr 2009 01:50:06 +0200

orage (4.6.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - update build-deps to Xfce 4.6 alpha “Pinkie”.
    - add libnotify and libdbus to build-deps.
  [ Xfce 4.6 Beta 1 “Fuzzy”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Fuzzy.
  * debian/rules:
    - don't try to remove non existent mcs files.
    - don't install lintian override
  * debian/lintian
    - removed. now useless.
  [ Michael Casadevall ]
  * debian/control:
    - dropped dependency on xfce-mcs, so we can drop it cleanly for 4.6

  [ Xfce 4.6 Beta 2 “Hopper”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Hopper.

  [ Xfce 4.6 Beta 3 “Tuco-Tuco”]
  * new upstream beta release.
  * debian/control:
    - update build-deps for Tuco-Tuco.
    - add build-dep on intltool.

  [ Xfce 4.6 RC1 “Capybara” ]
  * new upstream release candidate.
  * debian/control:
    - update build-deps for “Capybara”.

  [ Xfce 4.6 ]
  * new upstream release.
  * debian/rules:
    - enable dbus.                                              closes: #498611
  * debian/control:
    - update build-deps for 4.6.
    - build-dep on libdbus-1-dev.
    - add recommends on dbus-x11.
  * debian/copyright:
    - update licensing infos.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 28 Feb 2009 20:35:44 +0100

orage (4.5.14.0-1) unstable; urgency=low

  * New upstream release.
    - buttons in confirmation dialog are in correct order.      closes: #468867
    - orage no longers open /usr/local/etc/zoneinfo.            closes: #478963
    - no selection of “week start day” anymore.                 closes: #482112
  * debian/rules: 
    - call dh_desktop so the mime database gets updated.
    - don't install our own manpage.
  * debian/control:
    - update standards version to 3.8.0.
  * debian/patches:
    - drop 01_tune-desktop-file, useless now.
    - drop 02_fix-implicit-pointer-conversion, useless now.
    - drop 03_de.po-typo, useless now. 
  * debian/orage.1 removed, since upstream now provides it.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 23 Sep 2008 23:41:35 +0200

orage (4.5.12.2-6) unstable; urgency=low

  * switch to triggers
    - drop debian/postinst
    - debian/control: conflicts against non-triggers-enabled xfce-mcs-manager.
  * debian/control: 
    - remove Martin Loschwitz from Uploaders.
    - drop Conflicts/Replaces: xfcalendar, not present in Etch.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 May 2008 19:37:29 +0200

orage (4.5.12.2-5) unstable; urgency=low

  * a “brown paper bag” release.
  * debian/patches: 01_tune-desktop-file.patch refreshed, use a semicolon at
    EOL.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 02 Mar 2008 18:02:44 +0100

orage (4.5.12.2-4) unstable; urgency=low

  * debian/patches: 
    - 01_tune-desktop-file.patch edited, add support for mime type
      text/calendar in xfcalendar.desktop.
    - 03_de.po-typo added, correct a typo in de translation.    closes: #468488

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 01 Mar 2008 11:10:04 +0100

orage (4.5.12.2-3) unstable; urgency=low

  * debian/NEWS: document new location for .ics files.          closes: #465867

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 26 Feb 2008 08:34:41 +0100

orage (4.5.12.2-2) unstable; urgency=low

  * debian/patches: 02_fix-implicit-pointer-conversion added to fix possible
    segfault on ia64 and x86_64. Thanks Dann Frazier.           closes: #465657

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 14 Feb 2008 08:24:14 +0100

orage (4.5.12.2-1) unstable; urgency=low

  * New upstream release.
    - there's now an option to make alarms persitent and ring even if Orage
      wasn't active at due time (sutdown or suspend).           closes: #420422
  * debian/copyright converted to UTF-8.
  * debian/control:
    - updated my email address.
    - updated standards version to 3.7.3 (no changes needed)
  * debian/patches:
  	- 01_add-main-category-to-desktop-file added, so the orage .desktop file
      contains a valid main category.
  * debian/lintian: override warning for xfce-setting-show not in package.
    (the settings manager is only useful in xfce, where xfce-setting-show is
    present)
  * debian/rules: install lintian override

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 13 Feb 2008 08:39:10 +0100

orage (4.4.2-1) unstable; urgency=low

  [ Simon Huggins ]
  * debian/control: Move fake Homepage field to a real one now dpkg
    supports it.

  [ Yves-Alexis Perez ]
  * debian/control: suggest sox if people want to use the 'play' command when
    an alarm ring.                                              closes: #448053
  * New upstream release.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

 -- Simon Huggins <huggie@earth.li>  Tue, 27 Nov 2007 16:39:17 +0000

orage (4.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/postinst: use posix kill -s to avoid problems on hurd.

 -- Yves-Alexis Perez <corsac@corsac.net>  Mon, 17 Sep 2007 23:30:32 +0200

orage (4.4.0-1) experimental; urgency=low
  
  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4.

  (Emanuele Rocca)
  * Added versioned build-dep against libgtk2.0-dev (>= 2.10.1).

 -- Yves-Alexis Perez <corsac@corsac.net>  Sun, 04 Feb 2007 13:31:23 +0100

orage (4.3.99.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-deps against Xfce 4.4RC2 (4.3.99.2).

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 16 Nov 2006 17:28:47 +0100

orage (4.3.99.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: updated build-dep against Xfce 4.4RC1 (4.3.99.1).

 -- Yves-Alexis Perez <corsac@corsac.net>  Sat, 23 Sep 2006 13:46:08 +0100

orage (4.3.90.2-3) unstable; urgency=low

  * Include patch to fix amd64 issues in ical code              closes: #370273

 -- Simon Huggins <huggie@earth.li>  Sun, 06 Aug 2006 11:03:42 +0100

orage (4.3.90.2-2) unstable; urgency=low

  * Depend on xfce4-panel-dev with correct shlibs.

 -- Simon Huggins <huggie@earth.li>  Wed, 26 Jul 2006 15:51:00 +0100

orage (4.3.90.2-1) unstable; urgency=low

  (Yves-Alexis Perez)
  * New upstream release.
  * debian/control: updated standards version to 3.7.2.
  * debian/postinst: refresh xfce-mcs-manager at install.	Closes: #347973
  * orage now provide a clock plugin.				Closes: #345945
  * NEWS.gz and README now refer to orage and not xfcalendar.	Closes: #374761
  * de_DE.UTF-8 locales now work.				Closes: #372750
  (Simon Huggins)
  * Add rpath fixes.

 -- Yves-Alexis Perez <corsac@corsac.net>  Thu, 13 Jul 2006 13:03:48 +0200

orage (4.3.90.1-1) unstable; urgency=low

  * New upstream release
  * Removed pointless .la files

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 03 May 2006 18:35:05 +0100
 
orage (4.3.1.22svn-1) unstable; urgency=low

  * Initial release 						Closes: #344322 

 -- Yves-Alexis Perez <corsac@corsac.net>  Fri, 30 Dec 2005 18:06:29 +0100
